JsonFactory.Feature (Jackson-core 2.0.2 API)
Date: 2012-05-14

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.fasterxml.jackson.core
Enum JsonFactory.Feature

    java.lang.Object
      java.lang.Enum<JsonFactory.Feature>
          com.fasterxml.jackson.core.JsonFactory.Feature

All Implemented Interfaces:
  Serializable, Comparable<JsonFactory.Feature>

Enclosing class:
  JsonFactory

    public static enum JsonFactory.Feature

extends Enum<JsonFactory.Feature>

Enumeration that defines all on/off features that can only be changed for `JsonFactory`.

Enum Constant Summary
`CANONICALIZE_FIELD_NAMES` Feature that determines whether JSON object field names are to be canonicalized (details of how canonicalization is done then further specified by `INTERN_FIELD_NAMES`).
`INTERN_FIELD_NAMES` Feature that determines whether JSON object field names are to be canonicalized using `String.intern()` or not: if enabled, all field names will be intern()ed (and caller can count on this being true for all such names); if disabled, no intern()ing is done.

Method Summary
`static int` | `collectDefaults()` Method that calculates bit set (flags) of all features that are enabled by default.
`boolean` | `enabledByDefault()`
`boolean` | `enabledIn(int flags)`
`int` | `getMask()`
`static JsonFactory.Feature` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static JsonFactory.Feature[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### INTERN_FIELD_NAMES

    public static final JsonFactory.Feature INTERN_FIELD_NAMES

  Feature that determines whether JSON object field names are to be canonicalized using `String.intern()` or not: if enabled, all field names will be intern()ed (and caller can count on this being true for all such names); if disabled, no intern()ing is done. There may still be basic canonicalization (that is, same String will be used to represent all identical object property names for a single document).

  Note: this setting only has effect if `CANONICALIZE_FIELD_NAMES` is true -- otherwise no canonicalization of any sort is done.

  This setting is enabled by default.

### CANONICALIZE_FIELD_NAMES

    public static final JsonFactory.Feature CANONICALIZE_FIELD_NAMES

  Feature that determines whether JSON object field names are to be canonicalized (details of how canonicalization is done then further specified by `INTERN_FIELD_NAMES`).

  This setting is enabled by default.

Method Detail

### values

    public static JsonFactory.Feature[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (JsonFactory.Feature c : JsonFactory.Feature.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static JsonFactory.Feature valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### collectDefaults

    public static int collectDefaults()

  Method that calculates bit set (flags) of all features that are enabled by default.

### enabledByDefault

    public boolean enabledByDefault()

### enabledIn

    public boolean enabledIn(int flags)

### getMask

    public int getMask()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2012 fasterxml.com. All Rights Reserved.